Package weka.classifiers

# Class SingleClassifierEnhancer

java.lang.Object
weka.classifiers.AbstractClassifier
weka.classifiers.SingleClassifierEnhancer

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Classifier`, `BatchPredictor`, `CapabilitiesHandler`, `CapabilitiesIgnorer`, `CommandlineRunnable`, `OptionHandler`, `RevisionHandler`

Direct Known Subclasses:
  `AttributeSelectedClassifier`, `ClassificationViaRegression`, `InputMappedClassifier`, `IteratedSingleClassifierEnhancer`, `LWL`, `RandomizableSingleClassifierEnhancer`, `RegressionByDiscretization`

public abstract class SingleClassifierEnhancer extends AbstractClassifier
Abstract utility class for handling settings common to meta classifiers that use a single base learner.

Version:
  $Revision: 15520 $
Author:
  Eibe Frank (eibe@cs.waikato.ac.nz)
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class weka.classifiers.AbstractClassifier

  `BATCH_SIZE_DEFAULT, NUM_DECIMAL_PLACES_DEFAULT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SingleClassifierEnhancer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `classifierTipText()`
  Returns the tip text for this property
  `Capabilities`
  `getCapabilities()`
  Returns default capabilities of the base classifier.
  `Classifier`
  `getClassifier()`
  Get the classifier used as the base learner.
  `String[]`
  `getOptions()`
  Gets the current settings of the Classifier.
  `Enumeration<Option>`
  `listOptions()`
  Returns an enumeration describing the available options.
  `void`
  `postExecution()`
  Perform any teardown stuff that might need to happen after execution.
  `void`
  `preExecution()`
  Perform any setup stuff that might need to happen before commandline execution.
  `void`
  `setClassifier(Classifier newClassifier)`
  Set the base learner.
  `void`
  `setOptions(String[] options)`
  Parses a given list of options.

  ### Methods inherited from class weka.classifiers.AbstractClassifier

  `batchSizeTipText, classifyInstance, debugTipText, distributionForInstance, distributionsForInstances, doNotCheckCapabilitiesTipText, forName, getBatchSize, getDebug, getDoNotCheckCapabilities, getNumDecimalPlaces, getRevision, implementsMoreEfficientBatchPrediction, makeCopies, makeCopy, numDecimalPlacesTipText, run, runClassifier, setBatchSize, setDebug, setDoNotCheckCapabilities, setNumDecimalPlaces`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface weka.classifiers.Classifier

  `buildClassifier`

- ## Constructor Details

  - ### SingleClassifierEnhancer

    public SingleClassifierEnhancer()

- ## Method Details

  - ### listOptions

    public Enumeration<Option> listOptions()
    Returns an enumeration describing the available options.
    Specified by:
      `listOptions` in interface `OptionHandler`
    Overrides:
      `listOptions` in class `AbstractClassifier`
    Returns:
      an enumeration of all the available options.

  - ### setOptions

    public void setOptions(String[] options) throws Exception
    Parses a given list of options. Valid options are:

    -W classname
    Specify the full class name of the base learner.

    Options after -- are passed to the designated classifier.

    Specified by:
      `setOptions` in interface `OptionHandler`
    Overrides:
      `setOptions` in class `AbstractClassifier`
    Parameters:
      `options` - the list of options as an array of strings
    Throws:
      `Exception` - if an option is not supported

  - ### getOptions

    public String[] getOptions()
    Gets the current settings of the Classifier.
    Specified by:
      `getOptions` in interface `OptionHandler`
    Overrides:
      `getOptions` in class `AbstractClassifier`
    Returns:
      an array of strings suitable for passing to setOptions

  - ### classifierTipText

    public String classifierTipText()
    Returns the tip text for this property
    Returns:
      tip text for this property suitable for displaying in the explorer/experimenter gui

  - ### getCapabilities

    public Capabilities getCapabilities()
    Returns default capabilities of the base classifier.
    Specified by:
      `getCapabilities` in interface `CapabilitiesHandler`
    Specified by:
      `getCapabilities` in interface `Classifier`
    Overrides:
      `getCapabilities` in class `AbstractClassifier`
    Returns:
      the capabilities of the base classifier
    See Also:
      - `Capabilities`

  - ### setClassifier

    public void setClassifier(Classifier newClassifier)
    Set the base learner.
    Parameters:
      `newClassifier` - the classifier to use.

  - ### getClassifier

    public Classifier getClassifier()
    Get the classifier used as the base learner.
    Returns:
      the classifier used as the classifier

  - ### preExecution

    public void preExecution() throws Exception
    Description copied from class: `AbstractClassifier`
    Perform any setup stuff that might need to happen before commandline execution. Subclasses should override if they need to do something here
    Specified by:
      `preExecution` in interface `CommandlineRunnable`
    Overrides:
      `preExecution` in class `AbstractClassifier`
    Throws:
      `Exception` - if a problem occurs during setup

  - ### postExecution

    public void postExecution() throws Exception
    Description copied from class: `AbstractClassifier`
    Perform any teardown stuff that might need to happen after execution. Subclasses should override if they need to do something here
    Specified by:
      `postExecution` in interface `CommandlineRunnable`
    Overrides:
      `postExecution` in class `AbstractClassifier`
    Throws:
      `Exception` - if a problem occurs during teardown